package edu.rice.comp211.laundry.command;

import edu.rice.comp211.laundry.garment.Garment;

/**
 * Variant class in Command union.   Represents a request for the student to change wearing 
 * the given type of garment
 */
public class Change extends Command {
   public final Garment garment;  // adjective in g is IGNORED; it should be ""

   public Change(Garment g) {
      garment = g;
   }

   @Override
   public <R> R accept(CommandVisitor<R> c) {
      return c.forChange(this);
   }

   @Override
   public String toString() {
      return "change " + garment.toString();
   }
}