package edu.rice.comp211.laundry.command;

import edu.rice.comp211.laundry.garment.Garment;

/**
 * Variant class in Command union.
 * Represents the receiving of the new given garment.
 */
public class Receive extends Command {
   public final Garment garment;

   public Receive(Garment g) {
      garment = g;
   }

   @Override
   public <R> R accept(CommandVisitor<R> c) {
      return c.forReceive(this);
   }

   @Override
   public String toString() {
      return "receive " + garment.toString();
   }
}
