package edu.rice.comp211.laundry.ui;

import javax.swing.*;
import java.awt.*;

public class SplashScreen extends JWindow {
   /**
	 * 
	 */
	private static final long serialVersionUID = 1967618175725276186L;
private int duration;

   public SplashScreen(int d) {
      duration = d;
   }

   // A simple little method to show a title screen in the center
   // of the screen for the amount of time given in the constructor
   public void showSplash() {
      JPanel content = (JPanel) getContentPane();
      content.setBackground(Color.white);

      // Set the window's bounds, centering the window
      int width = 697;
      int height = 284;
      Dimension screen = Toolkit.getDefaultToolkit().getScreenSize();
      int x = (screen.width - width) / 2;
      int y = (screen.height - height) / 2;
      setBounds(x, y, width, height);

      // Build the splash screen
      JLabel label = new JLabel(new ImageIcon(getClass().getResource("resources/SimLaundry.png")));
      JLabel copyrt = new JLabel("Copyright 2010, Rice University", JLabel.CENTER);
      copyrt.setFont(new Font("Sans-Serif", Font.BOLD, 12));
      content.add(label, BorderLayout.CENTER);
      content.add(copyrt, BorderLayout.SOUTH);

      // Display it
      setVisible(true);

      // Wait a little while, maybe while loading resources
      try {
         Thread.sleep(duration);
      } catch (Exception e) {
      }

      setVisible(false);
   }

   public void showSplashAndExit() {
      showSplash();
      System.exit(0);
   }
}
